## python-biopython 1.78+dfsg

=== Doc/api/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -W --keep-going
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = Bio
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-biopython (1.78+dfsg-4) unstable; urgency=medium

  * Add mkdssp4.patch. (Closes: #976542)
  * Standards-Version: 4.5.1 (routine-update)
  * Bump dependency on dssp version 4.0.0.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sat, 05 Dec 2020 23:32:40 +0100

python-biopython (1.78+dfsg-3) unstable; urgency=medium

  * Bumped ncbi-blast+ version requirement to 2.10.1-3
  * Made sure run-unit-test did not attempt memory allocation override
  * debian/not-installed made more generic for various python versions
    (Closes: #972381)

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sat, 17 Oct 2020 13:59:04 +0200

python-biopython (1.78+dfsg-2) unstable; urgency=medium

  * Bumped build requirement on ncbi-blast+ 2.10.1-2 and greater:
      - fixed building on mipsel;
      - removed patch working around makeblastdb bug in v5, now unnecessary.
  * Cleaned up patches:
      - added DEP3 description to blastdbv4-tests-filter-archs.patch;
      - reviewed and forwarded patches upstream when applicable.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Fri, 02 Oct 2020 23:18:07 +0200

python-biopython (1.78+dfsg-1) unstable; urgency=medium

  * Bumped build requirement on ncbi-blast+ 2.10.0-3 and greater,
  * Reworked the patch working around makeblastd bug in v5 to fall back in v4
    only on architectures on which corrections are yet to be implemented.
  * Removed patches applied upstream.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Improved build reproducibility

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Wed, 09 Sep 2020 22:53:13 +0200

python-biopython (1.77+dfsg-3) unstable; urgency=medium

  [ Etienne Mollier ]
  * Forwarded implementation of makeblastdb's `-blastdb_version` flag to
    upstream.  (minor change)

  [ Andreas Tille ]
  * Adapt to python3-scipy by taking over pull request
      https://github.com/biopython/biopython/pull/2998
    as quilt patch.
    Closes: #966928

 -- Etienne Mollier <etienne.mollier@mailoo.org>  Mon, 22 Jun 2020 19:21:47 +0200

python-biopython (1.77+dfsg-2) unstable; urgency=medium

  * Declared python3-biopython breaks: cnvkit (<< 0.9.7-1~) (Closes: #962944)

 -- Etienne Mollier <etienne.mollier@mailoo.org>  Tue, 16 Jun 2020 22:12:00 +0200

python-biopython (1.77+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Test makeblastdb using format version 4, this is to work around issues on
    32 bits CPU architectures.  Closes: #960756.

  [ Steffen Moeller ]
  * Also clean .pygtex and .pygstyle files in Doc

 -- Etienne Mollier <etienne.mollier@mailoo.org>  Thu, 11 Jun 2020 20:10:34 +0200

python-biopython (1.76+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Michael R. Crusoe ]
  * debian/control: mark the -doc package as Multi-Arch: foreign

  [ Dylan Aïssi ]
  * Add upstream patch to fix tests with new NCBI BLAST DB v5 (Closes: #959587)

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Refer to specific version of license GPL-2+.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 15 May 2020 11:40:33 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

#export PYBUILD_NAME=biopython
#export PYBUILD_DESTDIR_python3=debian/python3-$(PYBUILD_NAME)/

# export DEB_BUILD_MAINT_OPTIONS = hardening=+all ... does not build
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

# Fails to build with this option switched on
# export DEB_BUILD_MAINT_OPTIONS = hardening=+all

BUILDARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)

# If `$(CURDIR)/setup.py test` would be called these tests need to be excluded since they require to be online
#EXCLUDEONLINE=Entrez_online HotRand NCBI_qblast SCOP_online SeqIO_online TogoWS
# Since `run_texts.py --online` is used the test requiring online connections are excluded by the test suite
EXCLUDEONLINE=

# avoid PAML_tools and EmbossPhylipNew since paml resp. embassy-phylip are non-free
# This would not trigger a failure but bloats the build log with irrelevant noise
EXCLUDENONFREE=PAML_tools EmbossPhylipNew

# avoid testing tools that are not packaged for Debian yet (or will never be packaged since they might be outdated)
# This would not trigger a failure but bloats the build log with irrelevant noise
EXCLUDENOTPACKAGED=MSAProbs_tool NACCESS_tool PopGen_GenePop PopGen_GenePop_EasyController XXmotif_tool PDB_ResidueDepth mmtf mmtf_online

# avoid amd64 only tools on other architectures
ifeq ($(BUILDARCH),amd64)
    EXCLUDEARCHamd64=
else
    EXCLUDEARCHamd64=raxml_tool
endif

# avoid tests requiring data base connections if no server is running while we are doing the build
# This would not trigger a failure but bloats the build log with irrelevant noise
EXCLUDEDATABASE=BioSQL_MySQLdb BioSQL_psycopg2

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	cd Doc && make distclean
	rm -f Doc/install/Installation.pdf
	rm -f Doc/install/Installation.txt
	rm -f Doc/install/Installation.html
	rm -f Doc/Tutorial.pdf Doc/biopdb_faq.pdf
	rm -f Doc/Tutorial/*.aux
	find Doc -name "*.pygtex" -o -name "*.pygstyle" -delete
	rm -rf biopython.egg-info
	rm -rf .pybuild

	if [ -d Tests_avoid ] ; then \
	    mv Tests_avoid/* Tests ; \
	    rmdir Tests_avoid ; \
	fi

	rm -rf debian/tmp_tests

override_dh_auto_build:
	dh_auto_build
	cd Doc && make

override_dh_auto_install:
	dh_auto_install
	dh_numpy3 -ppython3-biopython

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p Tests_avoid
	for avoid in $(EXCLUDEONLINE) $(EXCLUDENONFREE) $(EXCLUDENOTPACKAGED) $(EXCLUDEARCHamd64) $(EXCLUDEDATABASE) $(EXCLUDEFAILINGTESTS) $(EXCLUDEPACKAGEINFLUX) \
		    ; do \
	    mv Tests/test_$${avoid}.py Tests_avoid ; \
	done
	# For the doc package we need a clean testsuite without all the remaining files.  So keep a clean copy here
	mkdir -p debian/tmp_tests
	cp -a Tests debian/tmp_tests
	# remove duplicated file
	rm -f debian/tmp_tests/Tests/Quality/example.fastq.gz
	# We also keep the tests we need to avoid for later inspection
	cp -a Tests_avoid debian/tmp_tests
	# in the Debian package dialign it is not needed to set DIALIGN2_DIR but the test is verifying this dir
	# to run the EMBOSS test test_Emboss also requires to have the environment variable EMBOSS_ROOT set
	LC_ALL=C.UTF-8 dh_auto_test -- --test --system=custom \
		--test-args='set -e; \
                             mkdir -p {build_dir}/home; \
                             mkdir -p {build_dir}/Doc/examples; \
                             cp -a Doc/Tutorial.tex {build_dir}/Doc; \
                             cp -a Doc/Tutorial {build_dir}/Doc; \
                             cp -a Doc/examples {build_dir}/Doc; \
                             cp -a Tests {build_dir}; \
                             cd {build_dir}/Tests; \
                             env DIALIGN2_DIR=/usr/share/dialign EMBOSS_ROOT=/usr/lib/emboss HOME={build_dir}/home {interpreter} run_tests.py --offline'
	mv Tests_avoid/* Tests
	rmdir Tests_avoid
endif

override_dh_installdocs-indep:
	dh_installdocs -i
	find debian -name __pycache__ -type d | xargs rm -rf
	find debian -name example.fastq.gz
	# dh_installdocs seems to refuse copying zero length files (for instance Tests/Blast/tab_2226_tblastn_002.txt) but these are needed for the tests as well
	cp -a debian/tmp_tests/* $(CURDIR)/debian/python-biopython-doc/usr/share/doc/python-biopython-doc/
	find debian -name .cvsignore -delete
	# no idea why Doc dir ends up in /usr/share/doc/python-biopython since biopython 1.71 - just move it into right place
	if [ -d debian/python-biopython-doc/usr/share/doc/python-biopython/Doc ] ; then \
	    mv debian/python-biopython-doc/usr/share/doc/python-biopython/Doc debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc ; \
	fi
	cd debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc && make clean
	find debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc -name Makefile -delete
	find debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc -name "*.aux" -delete
	find debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc -name "*.lyx" -delete
	find debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc -type d -empty -delete

override_dh_fixperms:
	dh_fixperms
	find debian -name "*.dtd" -exec chmod -x \{\} \;

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-setuptools, python3-all
Restrictions: allow-stderr

## python-biopython 1.79+dfsg

=== Doc/Makefile ===
subdirs :=
BP_VERSION := $(shell python -c "`grep ^__version__ ../Bio/__init__.py`; print('dev' if 'dev' in __version__ else __version__)")

all:  Tutorial.html Tutorial.txt pdf $(subdirs)
pdf:  Tutorial.pdf biopdb_faq.pdf

Tutorial.pdf: Tutorial.tex Tutorial/chapter_*.tex
	pdflatex --shell-escape "\def\bpversion{${BP_VERSION}}\input{Tutorial}"
	pdflatex --shell-escape "\def\bpversion{${BP_VERSION}}\input{Tutorial}"
	pdflatex --shell-escape "\def\bpversion{${BP_VERSION}}\input{Tutorial}"

biopdb_faq.pdf: biopdb_faq.tex
	pdflatex biopdb_faq.tex
	pdflatex biopdb_faq.tex
	pdflatex biopdb_faq.tex

Tutorial.html: Tutorial.tex Tutorial/chapter_*.tex version.sh
	hevea -exec ./version.sh -exec xxdate.exe -fix Tutorial.tex

Tutorial.txt: Tutorial.tex Tutorial/chapter_*.tex version.sh
	hevea -exec ./version.sh -exec xxdate.exe -fix -text Tutorial.tex

version.sh: version.in
	sed "s/\@VERSION\@/${BP_VERSION}/g" version.in > version.sh
	chmod +x version.sh

clean-subdirs: $(subdirs)
	( for f in $^ ; do $(MAKE) clean -C $$f ; done )

clean: clean-subdirs
	rm -f Tutorial.aux
	rm -f Tutorial.toc
	rm -f Tutorial.log
	rm -f Tutorial.out
	rm -f Tutorial.haux
	rm -f Tutorial.htoc
	rm -f biopdb_faq.aux
	rm -f biopdb_faq.log
	rm -f biopdb_faq.out
	rm -f Tutorial/*.aux

distclean-subdirs: $(subdirs)
	( for f in $^ ; do $(MAKE) distclean -C $$f ; done )

distclean: clean distclean-subdirs
	rm -f version.sh
	rm -f biopdb_faq.pdf
	rm -f Tutorial.pdf
	rm -f Tutorial.html
	rm -f Tutorial.txt
	rm -f *_motif.gif #output from hacha

.PHONY: $(subdirs)
$(subdirs):
	$(MAKE) -C $@

=== debian/changelog ===
python-biopython (1.79+dfsg-3) unstable; urgency=medium

  [ Peter Michael Green ]
  * Restrict architecture list of muscle build-dependency to reflect
    architectures where the current version of muscle is available.
    (Closes: #1006667)

  [ Étienne Mollier ]
  * d/control,d/python3-biopython.links: move from w3-dtd-mathml to slightly
    more recent w3c-sgml-lib.
    Thanks to Peter Green and Vincent Lefevre.
  * Remove d/python3-biopython.lintian-overrides; not in use anymore.

 -- Étienne Mollier <emollier@debian.org>  Sat, 05 Mar 2022 15:36:12 +0100

python-biopython (1.79+dfsg-2) unstable; urgency=medium

  * Move w3-dtd-mathml from Suggests to Depends to avoid dangling symlink
    mathml2.dtd

 -- Andreas Tille <tille@debian.org>  Thu, 17 Feb 2022 20:15:09 +0100

python-biopython (1.79+dfsg-1) unstable; urgency=medium

  * Migrate from Experimental to Unstable.
  * Mark spelling.patch as not needing forward.
    It seems that the file being package might not exists in upcoming
    Biopython versions anymore.
  * adjust-test_GraphicsBitmaps.patch: forwarded upstream.
  * d/control: breaks ncbi-acc-download (<< 0.2.7-2~)

 -- Étienne Mollier <emollier@debian.org>  Fri, 22 Oct 2021 18:10:48 +0200

python-biopython (1.79+dfsg-1~0exp0) experimental; urgency=medium

  * New upstream version
  * d/copyright: update years per LICENSE file.
  * Refresh patches:
    + mkdssp4.patch:
      - renamed from mkdssp4.path, fixing typo in the file extension,
      - skip failing test_PDB_DSSP due to mkdssp 4 too recent,
      - updated patch author's email address;
    + following renderpm upgrade, add adjust-test_GraphicsBitmaps.patch to
      properly skip again the test failing due to missing font;
    + add spelling.patch to fix new spelling-error-in-binary caught by lintian.

 -- Étienne Mollier <emollier@debian.org>  Sat, 16 Oct 2021 12:30:51 +0200

python-biopython (1.78+dfsg-6) unstable; urgency=medium

  * d/control: bump python3-renderpm to python3-biopython dependency.
    (Closes: #995689)

 -- Étienne Mollier <emollier@debian.org>  Mon, 11 Oct 2021 22:25:02 +0200

python-biopython (1.78+dfsg-5) unstable; urgency=medium

  * d/control: update uploader address
  * d/watch: fix broken url to github
  * d{,/tests}/control: add full_suite autopkgtest (Closes: #986410)
  * Standards-Version: 4.6.0 (routine-update)
  * Use secure URI in Homepage field.

 -- Étienne Mollier <emollier@debian.org>  Sun, 22 Aug 2021 21:56:28 +0200

=== debian/control ===
Source: python-biopython
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>,
           Étienne Mollier <emollier@debian.org>
Section: python
Priority: optional
# note: all build-dependencies marked <!nocheck>, should be tested against in
# the full_suite autopkgtest as well.
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               python3-numpy <!nocheck>,
               flex,
               python3-reportlab <!nocheck>,
               hevea <!nocheck>,
               texlive-latex-base,
               texlive-latex-extra,
               texlive-fonts-recommended,
               bwa <!nocheck>,
               clustalo <!nocheck>,
               clustalw <!nocheck>,
               dialign <!nocheck>,
               dssp <!nocheck>,
               emboss <!nocheck>,
               fasttree <!nocheck>,
               mafft <!nocheck>,
               muscle [i386 amd64 x32] <!nocheck>,
               ncbi-blast+ <!nocheck>,
               phylip <!nocheck>,
               phyml [any-amd64 any-i386] <!nocheck>,
               prank <!nocheck>,
               probcons <!nocheck>,
               python3-networkx <!nocheck>,
               python3-mysqldb <!nocheck>,
               python3-matplotlib <!nocheck>,
               python3-mmtf <!nocheck>,
               python3-pil <!nocheck>,
               python3-rdflib <!nocheck>,
               python3-renderpm <!nocheck>,
               python3-psycopg2 <!nocheck>,
               python3-pygments <!nocheck>,
               python3-scipy <!nocheck>,
               python3-setuptools,
               python3-unittest2 <!nocheck>,
               raxml [any-amd64 any-i386] <!nocheck>,
               samtools <!nocheck>,
               t-coffee <!nocheck>,
               wise <!nocheck>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/python-biopython
Vcs-Git: https://salsa.debian.org/med-team/python-biopython.git
Homepage: https://biopython.org
Rules-Requires-Root: no

Package: python3-biopython
Architecture: any
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-renderpm,
         python3-reportlab,
         w3c-sgml-lib
Recommends: python-biopython-doc (= ${source:Version}),
            ncbi-blast+ (>= 2.10.1-3)
Suggests: python3-tk,
          bwa,
          clustalo,
          clustalw,
          dialign,
          dssp (>= 4.0.0),
          emboss,
          fasttree,
          mafft,
          muscle,
          phylip,
          phyml,
          prank,
          probcons,
          python3-mysqldb,
          python3-matplotlib,
          python3-mmtf,
          python3-numpy,
          python3-pil,
          python3-rdflib,
          python3-psycopg2,
          python3-scipy,
          raxml,
          samtools,
          t-coffee,
          wise
Breaks: cnvkit (<< 0.9.7-1~),
        ncbi-acc-download (<< 0.2.7-2~)
Description: Python3 library for bioinformatics
 The Biopython Project is an international association
 of developers of freely available Python tools for
 computational molecular biology.
 .
 It is a distributed collaborative effort to develop Python3
 libraries and applications which address the needs of
 current and future work in bioinformatics. The source code
 is made available under the Biopython License, which is
 extremely liberal and compatible with almost every license in
 the world. The project works along with the Open Bioinformatics
 Foundation, who generously provide web and CVS space for
 the project.

Package: python-biopython-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Recommends: python3-biopython (= ${source:Version})
Description: Documentation for the Biopython library
 Documentation and examples about how to use the Biopython
 library.
 .
 This package also contains the unit tests of the test suite
 to enable reproducing the test results.

Package: python3-biopython-sql
# Todo: add www.biosql.org as "External Ressource" on packages.debian.org when the infrastructure will provide a way to do so.
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-biopython
Provides: ${python3:Provides}
Description: Biopython support for the BioSQL database schema (Python 3)
 This is the Biopython interface to a BioSQL database (see www.biosql.org
 for details). BioPerl, BioJava and BioRuby also provide their own BioSQL
 interfaces onto the same shared SQL schema.

## python-biopython 1.80+dfsg

=== debian/changelog ===
python-biopython (1.80+dfsg-5) unstable; urgency=medium

  [ Andreas Tille ]
  * Drop nocheck profile from hevea since its also needed to create doc
    (Closes: #1036174)

  [ Lukas Märdian ]
  * avoid the python3-renderpm dependency (Closes: #1039565)

  [ Étienne Mollier ]
  * d/rules: disable install-doc target with nodoc profile.
  * d/control: enable numpy outside nocheck build profile.
  * d/*.lintian-overrides: make the spelling override more generic.

 -- Étienne Mollier <emollier@debian.org>  Sun, 09 Jul 2023 17:48:34 +0200

python-biopython (1.80+dfsg-4) unstable; urgency=medium

  * Team Upload.
  * Cherry-pick upstream patch to fix problems with
    numpy 1.24 (Closes: #1027253)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 29 Dec 2022 18:52:07 +0530

python-biopython (1.80+dfsg-3) unstable; urgency=medium

  * muscle3.patch: ensure muscle3 is default even if unavailable.
    This fixes the test_doctest failure which occurs because of a
    mismatch between "muscle" and "muscle3" when none of them is
    available.
  * d/control: declare compliance to standards version 4.6.2.

 -- Étienne Mollier <emollier@debian.org>  Fri, 23 Dec 2022 20:22:29 +0100

python-biopython (1.80+dfsg-2) unstable; urgency=medium

  * d/NEWS: fix typo in news item.
  * d/control: bring back t_coffee tests since upstream version revert.
    Closes: #1022307
  * d/control: restore muscle3 instead of plain muscle (version 5).
    Closes: #1009118
  * port_tutorial_to_muscle3.patch: add; fix doctest failures.

 -- Étienne Mollier <emollier@debian.org>  Sun, 04 Dec 2022 19:15:42 +0100

python-biopython (1.80+dfsg-1) unstable; urgency=medium

  * Migrate biopython 1.80 from experimental to unstable.
    Closes: #1024986, #1024858, #1024855, #1025014, #1025022

 -- Étienne Mollier <emollier@debian.org>  Mon, 28 Nov 2022 22:19:25 +0100

python-biopython (1.80+dfsg-1~0exp0) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Set upstream metadata fields: Security-Contact.
  * privacy_breach_ie9.patch: refresh.
  * adjust-test_GraphicsBitmaps.patch: delete; applied upstream.
  * spelling.patch: delete; applied upstream.
  * mkdssp4.patch: delete; fixed upstream.
  * d/control: remove test dependency on problematic packages; muscle 5
    wrapping is unsupported upstream, and t_coffee suffers from segmentation
    faults documented in #1022570
  * croak-on-muscle5.patch: add; raise RuntimeError with muscle 5.
  * d/NEWS: describe incompatibility with muscle 5; also describe possible
    workarounds.
  * d/not-installed: add tree1 and other_trees.
  * d/*.lintian-overrides: refresh override.
  * debian/python3-biopython.lintian-overrides: override typo; the reported
    spelling error does not seem to match anything meaningful on the side of
    the source code.
  * d/s/lintian-overrides: indicate location of Restriction.md, source of
    Restriction.html.
  * d/copyright: bump copyright years.
  * muscle3.patch: add; default to use muscle3 command if available.
    This is in preparation of the availability of a dedicated muscle3
    package with the explicitly versioned command, since muscle 5 is a very
    different program but can be installed in parallel.

 -- Étienne Mollier <emollier@debian.org>  Thu, 24 Nov 2022 18:39:22 +0100

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all-dev,
-               python3-numpy <!nocheck>,
+               python3-numpy,
                flex,
                python3-reportlab <!nocheck>,
-               hevea <!nocheck>,
+               hevea,
                texlive-latex-base,
                texlive-latex-extra,
                texlive-fonts-recommended,
@@ -25,7 +25,7 @@
                emboss <!nocheck>,
                fasttree <!nocheck>,
                mafft <!nocheck>,
-               muscle [i386 amd64 x32] <!nocheck>,
+               muscle3 [i386 amd64 x32] <!nocheck>,
                ncbi-blast+ <!nocheck>,
                phylip <!nocheck>,
                phyml [any-amd64 any-i386] <!nocheck>,
@@ -37,7 +37,6 @@
                python3-mmtf <!nocheck>,
                python3-pil <!nocheck>,
                python3-rdflib <!nocheck>,
-               python3-renderpm <!nocheck>,
                python3-psycopg2 <!nocheck>,
                python3-pygments <!nocheck>,
                python3-scipy <!nocheck>,
@@ -47,7 +46,7 @@
                samtools <!nocheck>,
                t-coffee <!nocheck>,
                wise <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-biopython
 Vcs-Git: https://salsa.debian.org/med-team/python-biopython.git
 Homepage: https://biopython.org
@@ -58,7 +57,6 @@
 Depends: ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
-         python3-renderpm,
          python3-reportlab,
          w3c-sgml-lib
 Recommends: python-biopython-doc (= ${source:Version}),
@@ -72,7 +70,7 @@
           emboss,
           fasttree,
           mafft,
-          muscle,
+          muscle3,
           phylip,
           phyml,
           prank,

## python-biopython 1.81+dfsg

=== debian/changelog ===
python-biopython (1.81+dfsg-1) unstable; urgency=medium

  * Migrate biopython 1.81 to unstable.
  * Merges fixes from python-biopython 1.80+dfsg-6.

 -- Étienne Mollier <emollier@debian.org>  Mon, 10 Jul 2023 22:50:52 +0200

python-biopython (1.81+dfsg-0+exp1) experimental; urgency=medium

  * New upstream version 1.81+dfsg
  * d/control: remove obsolete version constraint on dssp.
  * numpy-1.24.patch: remove: applied upstream.
  * muscle3.patch: fix typo in patch description.
  * remove-distutils-import.patch: add.

 -- Étienne Mollier <emollier@debian.org>  Sun, 09 Jul 2023 20:21:39 +0200

python-biopython (1.80+dfsg-6) unstable; urgency=medium

  * d/control: depend on python3-reportlab (>= 4.0.4-1~). (Closes: #1040776)

 -- Étienne Mollier <emollier@debian.org>  Mon, 10 Jul 2023 22:27:12 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-all-dev,
                python3-numpy,
                flex,
-               python3-reportlab <!nocheck>,
+               python3-reportlab (>= 4.0.4-1~) <!nocheck>,
                hevea,
                texlive-latex-base,
                texlive-latex-extra,
@@ -57,7 +57,7 @@
 Depends: ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
-         python3-reportlab,
+         python3-reportlab (>= 4.0.4-1~),
          w3c-sgml-lib
 Recommends: python-biopython-doc (= ${source:Version}),
             ncbi-blast+ (>= 2.10.1-3)
@@ -66,7 +66,7 @@
           clustalo,
           clustalw,
           dialign,
-          dssp (>= 4.0.0),
+          dssp,
           emboss,
           fasttree,
           mafft,
@@ -87,8 +87,7 @@
           samtools,
           t-coffee,
           wise
-Breaks: cnvkit (<< 0.9.7-1~),
-        ncbi-acc-download (<< 0.2.7-2~)
+Breaks: ncbi-acc-download (<< 0.2.7-2~)
 Description: Python3 library for bioinformatics
  The Biopython Project is an international association
  of developers of freely available Python tools for

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 # avoid testing tools that are not packaged for Debian yet (or will never be packaged since they might be outdated)
 # This would not trigger a failure but bloats the build log with irrelevant noise
-EXCLUDENOTPACKAGED=MSAProbs_tool NACCESS_tool PopGen_GenePop PopGen_GenePop_EasyController XXmotif_tool PDB_ResidueDepth mmtf mmtf_online
+EXCLUDENOTPACKAGED=MSAProbs_tool NACCESS_tool PopGen_GenePop PopGen_GenePop_EasyController XXmotif_tool PDB_ResidueDepth mmtf mmtf_online GraphicsBitmaps
 
 # avoid amd64 only tools on other architectures
 ifeq ($(BUILDARCH),amd64)
@@ -62,7 +62,9 @@
 
 override_dh_auto_build:
 	dh_auto_build
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	cd Doc && make
+endif
 
 override_dh_auto_install:
 	dh_auto_install
@@ -99,6 +101,7 @@
 endif
 
 override_dh_installdocs-indep:
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	dh_installdocs -i
 	find debian -name __pycache__ -type d | xargs rm -rf
 	find debian -name example.fastq.gz
@@ -114,6 +117,7 @@
 	find debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc -name "*.aux" -delete
 	find debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc -name "*.lyx" -delete
 	find debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc -type d -empty -delete
+endif
 
 override_dh_fixperms:
 	dh_fixperms

## python-biopython 1.83+dfsg1

=== Doc/Makefile ===
--- 
+++ 
@@ -38,6 +38,7 @@
 	rm -f biopdb_faq.log
 	rm -f biopdb_faq.out
 	rm -f Tutorial/*.aux
+	rm -rf _minted-Tutorial
 
 distclean-subdirs: $(subdirs)
 	( for f in $^ ; do $(MAKE) distclean -C $$f ; done )

=== Doc/api/Makefile ===
--- 
+++ 
@@ -18,3 +18,8 @@
 # "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
 %: Makefile
 	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
+
+clean:
+	-rm -f Bio*rst
+	-rm -rf _build/html
+	-rm -rf _build/doctrees

=== debian/changelog ===
python-biopython (1.83+dfsg1-1) unstable; urgency=medium

  * New upstream pseudo-version 1.83+dfsg1.
    This is a minor version bump to include the new test artifact necessary
    to allow the test suite to pass on big endian architectures.  The nature
    of the change makes it unsuitable to represent using the regular d/patches
    series.  See upstream issue 4658[1] for further information.
    [1}: https://github.com/biopython/biopython/issues/4658
  * d/rules: skip test Tutorial on non-amd64.

 -- Étienne Mollier <emollier@debian.org>  Wed, 20 Mar 2024 21:10:02 +0100

python-biopython (1.83+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Exclude emboss from Build-Depends for 32bit architectures since
    emboss will be removed for these architectures (see #1062371)

  [ Étienne Mollier ]
  * skip-xmlio-tests.patch: new: skip test failures.
    This works around #1064147 so it is not a serious failure anymore.
    The problem being still latent, said bug is not closed for now.
  * d/t/run-unit-test: deploy newly needed test data.
  * d/control: reduce availability of test dependencies.
    Following the 64-bit time_t migration, and the removal of several
    Debian Med packages from the 32-bit archives, these items are not
    generally available anymore, and only checked on amd64 architecture.

 -- Étienne Mollier <emollier@debian.org>  Sun, 10 Mar 2024 21:00:41 +0100

python-biopython (1.81+dfsg-3) unstable; urgency=medium

  * d/control: remove dependency on python3-unittest2. (Closes: #1058967)

 -- Étienne Mollier <emollier@debian.org>  Tue, 19 Dec 2023 15:06:46 +0100

python-biopython (1.81+dfsg-2) unstable; urgency=medium

  * python3.12.patch: new: fix ftbfs with python3.12.
    Thanks to Antonio (Closes: #1055708)
  * d/control: remove obsolete comment.
  * d/control: move to dh-sequence-python3.

 -- Étienne Mollier <emollier@debian.org>  Sat, 11 Nov 2023 11:16:46 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,8 @@
            Étienne Mollier <emollier@debian.org>
 Section: python
 Priority: optional
-# note: all build-dependencies marked <!nocheck>, should be tested against in
-# the full_suite autopkgtest as well.
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all-dev,
                python3-numpy,
                flex,
@@ -19,16 +17,16 @@
                texlive-fonts-recommended,
                bwa <!nocheck>,
                clustalo <!nocheck>,
-               clustalw <!nocheck>,
+               clustalw [any-amd64] <!nocheck>,
                dialign <!nocheck>,
                dssp <!nocheck>,
-               emboss <!nocheck>,
+               emboss [!armel !armhf !i386 !hppa !m68k !powerpc !sh4]  <!nocheck>,
                fasttree <!nocheck>,
                mafft <!nocheck>,
                muscle3 [i386 amd64 x32] <!nocheck>,
                ncbi-blast+ <!nocheck>,
                phylip <!nocheck>,
-               phyml [any-amd64 any-i386] <!nocheck>,
+               phyml [any-amd64] <!nocheck>,
                prank <!nocheck>,
                probcons <!nocheck>,
                python3-networkx <!nocheck>,
@@ -37,13 +35,12 @@
                python3-mmtf <!nocheck>,
                python3-pil <!nocheck>,
                python3-rdflib <!nocheck>,
-               python3-psycopg2 <!nocheck>,
+               python3-psycopg2 [any-amd64] <!nocheck>,
                python3-pygments <!nocheck>,
                python3-scipy <!nocheck>,
                python3-setuptools,
-               python3-unittest2 <!nocheck>,
                raxml [any-amd64 any-i386] <!nocheck>,
-               samtools <!nocheck>,
+               samtools [any-amd64] <!nocheck>,
                t-coffee <!nocheck>,
                wise <!nocheck>
 Standards-Version: 4.6.2

=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,14 @@
     EXCLUDEARCHamd64=
 else
     EXCLUDEARCHamd64=raxml_tool
+    # The tutorial test reads through the documentation, and checks that the
+    # documented commands and output are working and matching.  There is at
+    # least one output that assumes that the test runs on s390x, causing mostly
+    # undue regression, so skipping on that architecture, to avoid cluttering
+    # the documentation.
+    EXCLUDEARCHamd64+=Tutorial
+    # FIXME: biopython > 1.83+dfsg1 will skip the faulty item with much finer
+    # grain, so this test will be restorable at that point.
 endif
 
 # avoid tests requiring data base connections if no server is running while we are doing the build

=== debian/watch ===
version=4

opts="\
filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
uversionmangle=s/b/~b/;s/(\d)(\d+)/$1.$2/,\
repacksuffix=+dfsg,\
dversionmangle=s/\+dfsg//,\
repack,\
compression=xz" \
	https://github.com/biopython/biopython/tags \
	(?:.*?/)?biopython[v-]?(\d[\d.]*)\.tar\.gz debian uupdate

## python-biopython 1.84+dfsg

=== debian/changelog ===
python-biopython (1.84+dfsg-4) unstable; urgency=medium

  * skip-scipy-in-codonalign.patch: comment about #1086108.
    Bug #1086108 may be related and the patch removed once resolved.
  * d/t/mini-ccd.cif: new: provide subset of data needed by the libcifpp.
  * d/copyright: document origin of mini-ccd.cif.
  * d/rules: configure libcifpp to use the mini-ccd.cif.
    By instructing the libcifpp to use a local data directory with the
    mini-ccd.cif providing the missing components.cif PDB/DSSP related
    tests depending on a working libcifpp are back in "fair enough"
    working conditions.  The original components.cif is more than 400M and
    changes constantly, making it problematic to maintain through Debian
    packages while at the same time keeping it useful for end users,
    Thanks to Maarten L. Hekkelman <maarten@hekkelman.com> (Closes: #1086156)
  * d/t/run-unit-test: also fix PDB/dssp for autopkgtest.

 -- Étienne Mollier <emollier@debian.org>  Wed, 30 Oct 2024 21:45:42 +0100

python-biopython (1.84+dfsg-3) unstable; urgency=medium

  * skip-scipy-in-codonalign.patch: also skip on mips64el.
    The symptom of scipy processing hanging up appeared already in
    riscv64, now on mips64el.
  * d/rules: skip test of BWA on mips64el.

 -- Étienne Mollier <emollier@debian.org>  Fri, 18 Oct 2024 11:30:13 +0200

python-biopython (1.84+dfsg-2) unstable; urgency=medium

  * d/t/run-unit-test: disable PDB_binary_cif for s390x in autopkgtest too.

 -- Étienne Mollier <emollier@debian.org>  Tue, 24 Sep 2024 19:44:19 +0200

python-biopython (1.84+dfsg-1) unstable; urgency=medium

  * Migrate Biopython 1.84 from experimental to unstable.
  * d/salsa-ci.yml: disable build path variation in reprotest.
  * d/rules: normalize HOME; this stabilizes build reproducibility.
  * d/rules: skip PDB_bcif on s390x architecture.

 -- Étienne Mollier <emollier@debian.org>  Mon, 23 Sep 2024 19:04:17 +0200

python-biopython (1.84+dfsg-1~0exp1) experimental; urgency=medium

  * New upstream version 1.84+dfsg
  * d/watch: fix debian version mangling.
  * d/copyright: update copyright years.
  * fix-use-of-unversioned-python.patch: delete: hunk removed upstream.
  * reproduciblebuild.patch: delete: file disappeared upstream.
  * croak-on-muscle5.patch: refresh.
  * muscle3.patch: unfuzz.
  * seqxml-parser.patch: delete: issue fixed upstream.
  * skip-scipy-in-codonalign.patch: unfuzz.
  * d/rules: condensate dh_installdocs target to ease readability.
  * d/rules: cleanup irrelevant comments and more readable dh_auto_test.
  * d/t/run-unit-test: Tutorial.tex does not exist anymore.
  * d/t/run-unit-test: new PDB tests require compressed bcif files.
  * d/rules: replace distclean target by clean in Doc/.
  * d/control: documentation now depends on Sphinx and side modules.
  * d/rules: explicitly make html documentation.
  * d/copyright: do not advertise LGPL since it is not in use.
  * d/rules: cleanup documentation from embeding and privacy breaches.
  * d/control: documentation depends on libjs-sphinx and libjs-jquery.
  * d/python-biopython-doc.docs: install sphinx html artifacts.
  * d/python-biopython-doc.doc-base: update location of the Tutorial.
  * d/python-biopython-doc.examples: new: install examples.
  * d/python-biopython-doc.lintian-overrides: flag another empty test file.
  * fix-type-cast-i386.patch: new: fix PDB test failure on 32-bit.
  * d/TODO: build reproducibility needs fixing.

 -- Étienne Mollier <emollier@debian.org>  Mon, 16 Sep 2024 22:34:06 +0200

python-biopython (1.83+dfsg1-5) unstable; urgency=medium

  * Team upload.
  * Cherry-pick patch from upstream to fix FTBFS with Python 3.13.
    Closes: #1081665
  * Remove constraints unnecessary since bullseye (oldstable):
    + python3-biopython: Drop versioned constraint on ncbi-blast+ (>= 2.10.1-3)
      in Recommends.
  * d/control: adjust build-deps to be more cross-build friendly.
  * Fix some of the DEP-3 patch metadata

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 14 Sep 2024 13:51:11 +0200

python-biopython (1.83+dfsg1-4) unstable; urgency=medium

  * skip-scipy-in-codonalign.patch: new: skip scipy tests on riscv64.
    This patch is introduced to give some breath to Risc-V CI runners while
    the core of the problem is investigated. (Closes: #1079439)
  * d/rules: skip ncbi tools tests due to #1079439.
  * d/rules: update list of excluded tests due to missing packages.

 -- Étienne Mollier <emollier@debian.org>  Wed, 04 Sep 2024 21:44:05 +0200

python-biopython (1.83+dfsg1-3) unstable; urgency=medium

  * Replace skip-xmlio-tests.patch by seqxml-parser.patch.
    Instead of skipping the test, upstream introduced a change that fixed
    the XML parser for use with the newer version of expat. (Closes: #1064147)
  * d/control: declare compliance to standards version 4.7.0.
  * d/python3-biopython.lintian-overrides: update file name.

 -- Étienne Mollier <emollier@debian.org>  Wed, 22 May 2024 15:14:56 +0200

python-biopython (1.83+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Drop emboss from test dependencies on emboss due to #1069098.

 -- Andrius Merkys <merkys@debian.org>  Wed, 17 Apr 2024 07:32:28 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
-               python3-all-dev,
+               python3-all-dev:native,
+               libpython3-all-dev,
                python3-numpy,
                flex,
                python3-reportlab (>= 4.0.4-1~) <!nocheck>,
@@ -20,7 +21,7 @@
                clustalw [any-amd64] <!nocheck>,
                dialign <!nocheck>,
                dssp <!nocheck>,
-               emboss [!armel !armhf !i386 !hppa !m68k !powerpc !sh4]  <!nocheck>,
+               emboss [!armel !armhf !i386 !hppa !m68k !powerpc !s390x !sh4] <!nocheck>,
                fasttree <!nocheck>,
                mafft <!nocheck>,
                muscle3 [i386 amd64 x32] <!nocheck>,
@@ -30,6 +31,7 @@
                prank <!nocheck>,
                probcons <!nocheck>,
                python3-networkx <!nocheck>,
+               python3-numpydoc <!nodoc>,
                python3-mysqldb <!nocheck>,
                python3-matplotlib <!nocheck>,
                python3-mmtf <!nocheck>,
@@ -39,11 +41,13 @@
                python3-pygments <!nocheck>,
                python3-scipy <!nocheck>,
                python3-setuptools,
+               python3-sphinx <!nodoc>,
+               python3-sphinx-rtd-theme <!nodoc>,
                raxml [any-amd64 any-i386] <!nocheck>,
                samtools [any-amd64] <!nocheck>,
                t-coffee <!nocheck>,
                wise <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-biopython
 Vcs-Git: https://salsa.debian.org/med-team/python-biopython.git
 Homepage: https://biopython.org
@@ -57,7 +61,7 @@
          python3-reportlab (>= 4.0.4-1~),
          w3c-sgml-lib
 Recommends: python-biopython-doc (= ${source:Version}),
-            ncbi-blast+ (>= 2.10.1-3)
+            ncbi-blast+
 Suggests: python3-tk,
           bwa,
           clustalo,
@@ -103,7 +107,9 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+         libjs-sphinxdoc,
+         libjs-jquery
 Recommends: python3-biopython (= ${source:Version})
 Description: Documentation for the Biopython library
  Documentation and examples about how to use the Biopython

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# Fails to build with hardening=+all switched on
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

# Fix partially build reproducibility issues.  Also, refrain from
# meddling with build user's home directory.
export HOME = /nonexistent

# Directory mainly holding chemical components data for dssp.
export LIBCIFPP_DATA_DIR = $(CURDIR)/libcifpp-data

BUILDARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)

# avoid PAML_tools and EmbossPhylipNew since paml resp. embassy-phylip
# are non-free This would not trigger a failure but bloats the build log
# with irrelevant noise
EXCLUDENONFREE=PAML_tools EmbossPhylipNew

# avoid testing tools that are not packaged for Debian yet (or will
# never be packaged since they might be outdated).  This would not
# trigger a failure but bloats the build log with irrelevant noise
EXCLUDENOTPACKAGED=\
	MSAProbs_tool \
	PopGen_GenePop \
	PopGen_GenePop_EasyController \
	XXmotif_tool \
	PDB_ResidueDepth \
	mmtf \
	mmtf_online \
	GraphicsBitmaps

# avoid amd64 only tools on other architectures
ifneq ($(BUILDARCH),amd64)
    EXCLUDEARCH=raxml_tool
    # The tutorial test reads through the documentation, and checks that the
    # documented commands and output are working and matching.  There is at
    # least one output that assumes that the test runs on s390x, causing mostly
    # undue regression, so skipping on that architecture, to avoid cluttering
    # the documentation.
    EXCLUDEARCH+=Tutorial
    # FIXME: biopython > 1.83+dfsg1 will skip the faulty item with much finer
    # grain, so this test will be restorable at that point.
endif

ifeq ($(BUILDARCH),riscv64)
    # FIXME: the below test is affected by #1080479, and can be
    # restored once it is resolved.
    EXCLUDEARCH+=NCBI_BLAST_tools
endif

ifeq ($(BUILDARCH),mips64el)
    # FIXME: bwa on mips64el is affected by the following issue, so
    # skipping for now:
    #
    #   Bio.Application.ApplicationError: Non-zero return code 138 from
    #   'bwa mem BWA/human_g1k_v37_truncated.fasta
    #   BWA/HNSCC1_1_truncated.fastq BWA/HNSCC1_2_truncated.fastq',
    #   message '[M::bwa_idx_load_from_disk] read 0 ALT contigs'
    EXCLUDEARCH+=BWA_tool
endif

ifeq ($(BUILDARCH),s390x)
    # PDB binary cif parsing is non-working on big endian platforms.
    # The parsing is fed to C code which would need potientially
    # heavier-than-first-thought rewrite to get the issue sorted.
    EXCLUDEARCH+=PDB_binary_cif
endif

# avoid tests requiring data base connections if no server is running
# while we are doing the build This would not trigger a failure but
# bloats the build log with irrelevant noise
EXCLUDEDATABASE=BioSQL_MySQLdb BioSQL_psycopg2

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	cd Doc && make clean
	rm -f Doc/install/Installation.pdf
	rm -f Doc/install/Installation.txt
	rm -f Doc/install/Installation.html
	rm -f Doc/Tutorial.pdf Doc/biopdb_faq.pdf
	rm -f Doc/Tutorial/*.aux
	find Doc -name "*.pygtex" -o -name "*.pygstyle" -delete
	rm -rf biopython.egg-info
	rm -rf .pybuild

	if [ -d Tests_avoid ] ; then \
	    mv Tests_avoid/* Tests ; \
	    rmdir Tests_avoid ; \
	fi

	rm -rf debian/tmp_tests

override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$(shell py3versions -dv)/build \
	$(MAKE) -C Doc html
endif

override_dh_auto_install:
	dh_auto_install
	dh_numpy3 -ppython3-biopython

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e \
	; for avoid in \
		$(EXCLUDENONFREE) \
		$(EXCLUDENOTPACKAGED) \
		$(EXCLUDEARCH) \
		$(EXCLUDEDATABASE) \
	; do mkdir -p Tests_avoid \
	;    mv Tests/test_$${avoid}.py Tests_avoid \
	; done
	# For the doc package we need a clean testsuite without all the
	# remaining files.  So keep a clean copy here
	mkdir -p debian/tmp_tests
	cp -a Tests debian/tmp_tests
	# remove duplicated file
	rm -f debian/tmp_tests/Tests/Quality/example.fastq.gz
	# Prepare resources necessary to dssp.
	mkdir -pv $(LIBCIFPP_DATA_DIR)
	cp -v /usr/share/libcifpp/mmcif_pdbx.dic $(LIBCIFPP_DATA_DIR)
	cp -v /usr/share/libcifpp/mmcif_ma.dic $(LIBCIFPP_DATA_DIR)
	cp -v debian/tests/mini-ccd.cif $(LIBCIFPP_DATA_DIR)/components.cif
	# We also keep the tests we need to avoid for later inspection
	test ! -d Tests_avoid || cp -a Tests_avoid debian/tmp_tests
	# in the Debian package dialign it is not needed to set
	# DIALIGN2_DIR but the test is verifying this dir to run the
	# EMBOSS test test_Emboss also requires to have the environment
	# variable EMBOSS_ROOT set
	LC_ALL=C.UTF-8 \
	dh_auto_test -- \
		--test \
		--system=custom \
		--test-args=' \
			set -e; \
			mkdir -p {build_dir}/home; \
			mkdir -p {build_dir}/Doc/examples; \
			cp -a Doc/Tutorial {build_dir}/Doc; \
			cp -a Doc/examples {build_dir}/Doc; \
			cp -a Tests {build_dir}; \
			cd {build_dir}/Tests; \
			env DIALIGN2_DIR=/usr/share/dialign \
			    EMBOSS_ROOT=/usr/lib/emboss \
			    HOME={build_dir}/home \
				{interpreter} run_tests.py --offline'
	# Cleanup steps after tests.
	set -e \
	; if [ -d Tests_avoid ] \
	; then mv Tests_avoid/* Tests \
	;      rmdir Tests_avoid \
	; fi
	rm -r $(LIBCIFPP_DATA_DIR)
endif

DOCPKG = python-biopython-doc
DOCDIR = $(CURDIR)/debian/$(DOCPKG)/usr/share/doc/$(DOCPKG)
override_dh_installdocs-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	dh_installdocs -i
	find debian -name __pycache__ -type d | xargs rm -rf
	# dh_installdocs seems to refuse copying zero length files (for
	# instance Tests/Blast/tab_2226_tblastn_002.txt) but these are
	# needed for the tests as well
	cp -a debian/tmp_tests/* $(DOCDIR)

	# Tackle privacy breaches caused by MathML.
	sed -i 's@https://cdn.jsdelivr.net/npm/mathjax\@3/es5/tex-mml-chtml.js@file:///usr/share/nodejs/mathjax-full/es5/tex-mml-chtml.js@' \
		$(DOCDIR)/html/Tutorial/*.html \
		$(DOCDIR)/html/index.html

	# Clean fonts that made their way to the documentation package.
	rm -rvf $(DOCDIR)/html/_static/fonts/

	# Use Debian provided Javascript files.
	rm -v $(DOCDIR)/html/_static/jquery.js
	ln -sv /usr/share/javascript/jquery/jquery.js \
		$(DOCDIR)/html/_static/jquery.js
	rm -v $(DOCDIR)/html/_static/doctools.js
	ln -sv /usr/share/javascript/sphinxdoc/1.0/doctools.js \
		$(DOCDIR)/html/_static/doctools.js
	rm -v $(DOCDIR)/html/_static/language_data.js
	ln -sv /usr/share/javascript/sphinxdoc/1.0/language_data.js \
		$(DOCDIR)/html/_static/language_data.js
	rm -v $(DOCDIR)/html/_static/searchtools.js
	ln -sv /usr/share/javascript/sphinxdoc/1.0/searchtools.js \
		$(DOCDIR)/html/_static/searchtools.js
endif

override_dh_fixperms:
	dh_fixperms
	find debian -name "*.dtd" -exec chmod -x \{\} \;

## python-biopython 1.85%2Bdfsg

=== debian/changelog ===
python-biopython (1.85+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Restore deleted line as it seems to break autopkgtests.

 -- Santiago Vila <sanvila@debian.org>  Fri, 11 Apr 2025 21:30:00 +0200

python-biopython (1.85+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Fix build with nocheck.
  * Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Fri, 11 Apr 2025 19:00:00 +0200

python-biopython (1.85+dfsg-2) unstable; urgency=medium

  * Skip the Tutorial test on s390x. Closes: #1095105.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 06 Feb 2025 15:44:29 +0100

python-biopython (1.85+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Étienne Mollier ]
  * d/t/mini-ccd.cif: include definition of SO4 molecule.
    The definition originates from PDB's components.cif as of 2024-10-30.
    This resolves the noisy warning when running test_PDB_DSSP.

  [ Michael R. Crusoe ]
  * New upstream version
  * Refreshed patches.
  * Added python3-igraph as a recommend package and test dependency for
    use with Bio.Phylo.
  * d/rules: resume running the Tutorial tests everywhere.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 29 Jan 2025 17:02:52 +0100
